Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.blogclient
Class BlogEntry.Content

    java.lang.Object
      com.sun.syndication.propono.blogclient.BlogEntry.Content

Enclosing interface:
  BlogEntry

    public static class BlogEntry.Content

extends Object

Represents blog entry content

Constructor Summary
`BlogEntry.Content()` Construct content
`BlogEntry.Content(String value)` Construct content with value (and type="html")

Method Summary
`String` | `getSrc()` Get URI of content if out-of-line
`String` | `getType()` Get type of content, either "text", "html", "xhtml" or a MIME content-type.
`String` | `getValue()` Get value of content if in-line
`void` | `setSrc(String src)` Set URI of content if out-of-line
`void` | `setType(String type)` Set type of content, either "text", "html", "xhtml" or a MIME content-type.
`void` | `setValue(String value)` Set value of content if in-line

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlogEntry.Content

    public BlogEntry.Content()

  Construct content

### BlogEntry.Content

    public BlogEntry.Content(String value)

  Construct content with value (and type="html")

Method Detail

### getValue

    public String getValue()

  Get value of content if in-line

### setValue

    public void setValue(String value)

  Set value of content if in-line

### getType

    public String getType()

  Get type of content, either "text", "html", "xhtml" or a MIME content-type. Defaults to HTML.

### setType

    public void setType(String type)

  Set type of content, either "text", "html", "xhtml" or a MIME content-type. Defaults to HTML.

### getSrc

    public String getSrc()

  Get URI of content if out-of-line

### setSrc

    public void setSrc(String src)

  Set URI of content if out-of-line

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD